alter table REGISTRATION add constraint FK_REGISTRATION_PROVISION foreign key (PA_ID) 
references PROVISION_AGREEMENT (PA_ID)
;
alter table REGISTRATION add constraint FK_REGISTRATION_DATASOURCE foreign key (DATA_SOURCE_ID)
references DATA_SOURCE (DATA_SOURCE_ID)
ON DELETE CASCADE
;
